Bug 207657

Summary: games/fairymax: Update to 5.0b
Product: Ports & Packages Reporter: Kalten <kalten>
Component: Individual Port(s)Assignee: Mark Felder <feld>
Status: Closed FIXED    
Severity: Affects Some People CC: feld, rakuco
Priority: --- Keywords: patch, patch-ready
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
games/fairymax: update to 5.0b patch
kalten: maintainer-approval+
log: make.* output
none
log: poudriere testport -P output
none
games/fairymax: update to 5.0b patch [2]
koobs: maintainer-approval+
games/fairymax: update to 5.0b patch [3]
kalten: maintainer-approval+
log: make.* output [3]
none
log: poudriere testport -P output [3] none

Description Kalten 2016-03-02 19:00:42 UTC
Created attachment 167650 [details]
games/fairymax: update to 5.0b patch

H.G.Muller has released a new version (5.0b) some days ago
http://hgm.nubati.net/cgi-bin/gitweb.cgi/fairymax.git

* This attachment brings the new version into our portstree.
* make-flag »INI_F« changed to »fairydir« as done in source.
* %%DATADIR%%/makruk.hash installed now as well.
* included version information in executable.

The output of »portlint -AC« with comments:
------------------------------------------------------------------------
0 fatal errors and 2 warnings found.                                                                                                      

> WARN: Makefile: for new port, make $FreeBSD$ tag in comment section
> empty, to make SVN happy.
It is not a new port.

> WARN: Makefile: Consider defining LICENSE.
Well: difficult: see his file »copyright«. I do not know what to enter in
the Makefile. (same as at times of bug #193544)

> 0 fatal errors and 2 warnings found.
------------------------------------------------------------------------

»poudriere testport -P« output and »setenv DEVELOPER yes; make clean;
make stage && make check-plist && make stage-qa && make package« output
will follow  shortly.

Thank you in advance for attending this!
 Kalten
Comment 1 Kalten 2016-03-02 19:03:30 UTC
Created attachment 167651 [details]
log: make.* output

setenv DEVELOPER yes ; make clean ; make stage && make check-plist && make stage-qa && make package
Comment 2 Kalten 2016-03-02 19:04:57 UTC
Created attachment 167652 [details]
log: poudriere testport -P output
Comment 3 Kalten 2016-03-02 20:10:05 UTC
Created attachment 167655 [details]
games/fairymax: update to 5.0b patch [2]

This is embarrassing: there is an error in the first patch file (wrong path
in the make-flag—I had not been careful enough at testing)

I am sorry!

New patch in this Comment (»games/fairymax: update to 5.0b patch [2]«)
makes the first patch obsolete.

Regards,
 Kalten
Comment 4 Raphael Kubo da Costa freebsd_committer 2016-03-05 16:38:21 UTC
Hi Kalten,

I have some suggestions for your update:
- share/games/plugins looks like a very generic directory for fairymax to use. How about setting |plugindir| to ${DATADIR}/plugins in MAKE_ARGS.
- INI_Q already seems to be set to ${DATADIR}/qmax.ini since you set fairydir to ${DATADIR}, so I guess you don't need to explicitly set it.
- "-O2" doesn't really justify having an OPTIMIZED_CFLAGS option. It's passed by default by the ports tree along with "-pipe -fstack-protector -fno-strict-aliasing".
- The fairymax.pod sed call doesn't seem to be replacing anything in this version.
- fairymax's Makefile already has an install target, do you really need to have a custom do-install target yourself?
Comment 5 Kalten 2016-03-15 00:33:27 UTC
Created attachment 168193 [details]
games/fairymax: update to 5.0b patch [3]

(In reply to Raphael Kubo da Costa from comment #4)
> - share/games/plugins looks like a very generic directory for fairymax to
>    use. How about setting |plugindir| to ${DATADIR}/plugins in MAKE_ARGS.
In principal it has to be as it is: Ports like games/xboard expect to find
the files there for all “chess” engines. If I do recall my research when I
did create games/fairymax right, there are more games related ports using
exactly this mechanism.
(But change to it in [v3] due to your wish to use no do-install target)

(»games/fairymax: update to 5.0b patch [3]« shall be denoted as [v3] from
now on)

> - INI_Q already seems to be set to ${DATADIR}/qmax.ini since you set
>   fairydir to ${DATADIR}, so I guess you don't need to explicitly set it.
It seems, that you are right—thank you!  I have changed MAKE_ARGS
accordingly. [v3]

> - "-O2" doesn't really justify having an OPTIMIZED_CFLAGS option. It's
>   passed by default by the ports tree along with "-pipe -fstack-protector
>   -fno-strict-aliasing".
Very well. I have deleted this option. [v3]

> - The fairymax.pod sed call doesn't seem to be replacing anything in this
>   version.
Interesting: How did I come up with that? Thanks again: I have deleted this
in [v3].

> - fairymax's Makefile already has an install target, do you really need
>   to have a custom do-install target yourself?
Well: we have to change some things for that, but—so be it [v3] I do
understand your point of view (and I was able to shorten it a bit).

(I should beg H.G.Muller to change the code of his Makefile to allow us to
overwrite the destinations from outside (i.e. to be able to get rid of the
new »=« to »?=« in our post-patch target)

I have deleted the two ln(1) statements in the post-install target (and
this as a whole with them) as the manual page of xboard does neither speak
about shamax nor about maxqi.

The output of »portlint -AC« with comments:[v3]
------------------------------------------------------------------------
> WARN: Makefile: [0]: possible direct use of command "cp" found.
> use ${CP} instead. [three times]
That is in our post-patch target in a sed expression on its left side
and therefor OK.

> WARN: Makefile: for new port, make $FreeBSD$ tag in comment section
> empty, to make SVN happy.
It is not a new port.

> WARN: Makefile: Consider defining LICENSE.
Well: difficult: see his file »copyright«. I do not know what to enter in
the Makefile. (same as at times of bug #193544)

> 0 fatal errors and 5 warnings found.
------------------------------------------------------------------------

Regards,
 Kalten
Comment 6 Kalten 2016-03-15 00:35:59 UTC
Created attachment 168194 [details]
log: make.* output [3]

setenv DEVELOPER yes ; make clean ; make stage && make check-plist && make stage-qa && make package
Comment 7 Kalten 2016-03-15 00:36:44 UTC
Created attachment 168195 [details]
log: poudriere testport -P output [3]

log: poudriere testport -P output
Comment 8 commit-hook freebsd_committer 2016-03-17 20:54:49 UTC
A commit references this bug:

Author: feld
Date: Thu Mar 17 20:54:37 UTC 2016
New revision: 411314
URL: https://svnweb.freebsd.org/changeset/ports/411314

Log:
  games/fairymax: Update to 5.0b

  PR:		207657

Changes:
  head/games/fairymax/Makefile
  head/games/fairymax/distinfo
  head/games/fairymax/pkg-plist
Comment 9 Mark Felder freebsd_committer 2016-03-17 20:55:34 UTC
Committed, thanks!